PostgreSQL Tcl Interface Documentation
Prev | Fast Backward |  | Fast Forward | Next

# pg_blocking

## Name

pg_blocking -- see or set whether or not a connection is set to blocking or nonblocking

## Synopsis

    pg_blocking conn ?mode?

## Description

`pg_blocking` can set the connection to either blocking or nonblocking, and it can see which way the connection is currently set.

## Arguments

`conn`

  The handle of a connection to the database in which the large object exists.

`mode`

  If present, sets the mode of the connection to `nonblocking` if `0`. Otherwise it sets the connection to `blocking`.

## Return Value

Returns nothing if called with the `mode` argument. Otherwise it returns `1` if the connection is set for `blocking`, or `0` if the connection is set for `nonblocking`.

Prev | Home | Next
pg_isbusy | Up | pg_cancelrequest